bigram_s Struct Reference

Bigram structure. More...

`#include <ngram_model_arpa.h>`

## Data Fields

uint32 | wid
| Index of unigram entry for this. More...
uint16 | prob2
| Index into array of actual bigram probs.
uint16 | bo_wt2
| Index into array of actual bigram backoff wts.
uint16 | trigrams
| Index of 1st entry in lm_t.trigrams[], RELATIVE TO its segment base (see above) More...
uint16 | wid
| Index of unigram entry for this. More...

## Detailed Description

Bigram structure.

On-disk representation of bigrams.

Definition at line 52 of file ngram_model_arpa.h.

## Field Documentation

## trigrams

uint16 bigram_s::trigrams

Index of 1st entry in lm_t.trigrams[], RELATIVE TO its segment base (see above)

Index of 1st entry in lm_t.trigrams[], RELATIVE TO its segment base (see lm3g_model.h)

Definition at line 56 of file ngram_model_arpa.h.

## wid [1/2]

uint32 bigram_s::wid

Index of unigram entry for this.

(NOT dictionary id.)

Definition at line 53 of file ngram_model_arpa.h.

## wid [2/2]

uint16 bigram_s::wid

Index of unigram entry for this.

(NOT dictionary id.)

Definition at line 55 of file ngram_model_dmp.h.

The documentation for this struct was generated from the following files:

- src/libsphinxbase/lm/ngram_model_arpa.h
- src/libsphinxbase/lm/ngram_model_dmp.h